"you need adb 1.0.32 or newer to sideload to this device" HATASI